%define anolis_release 1

Name:           libell
Version:        0.62
Release:        %{anolis_release}%{?dist}
Summary:        Embedded Linux library
License:        LGPLv2+
URL:            https://01.org/ell
Source0:        https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package devel
Summary:        Embedded Linux library development files
Requires:       %{name} = %{version}-%{release}

%description devel
Headers for developing against libell.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n ell-%{version}

%build
%configure
%make_build V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libell.so.*
%dir %{abidir}
%{abidir}/libell.dump

%files devel
%{_includedir}/ell
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc

%files doc
%doc AUTHORS ChangeLog

%changelog
* Wed Feb 26 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.62-1
- update to 0.62 from 0.56

* Sat Mar 25 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.56-1
- Init from upstream
